Requirements

Mandatory requirements:

  • KDE version 4.8 or later.

  • speech-dispatcher version 0.67 or later.

  • A speech synthesizer. The following synthesizers and spoken languages are currently supported.

    EspeakMost languages, check http://espeak.sourceforge.net/languages.html for the current list of supported languages
    FestivalAmerican English, British, Spanish, German, Finnish, Czech, Polish, Russian, Italian, French Canadian, Kiswahili, Zulu, and Ibibio

    It also works with any synthesis engine that can be run from a command in a Konsole.

    Note

    The languages listed above may not be comprehensive or up-to-date. Check the specifications for each engine for a complete list of supported languages. Also check the Jovie website for additional information that might not have made it into this handbook.

    Note

    speech-dispatcher uses a flexible plugin architecture for speech synthesis engines. If you want to enhance Jovie to support another engine, contact the development team.

    See the section called “Configuration” for specific instructions for each of these engines.

Optional components:

  • The xsltproc utility is needed for SSML support and for the XML Transformer filter, but not required. Debian users can install xsltproc with the command apt-get install xsltproc.